eoEDA(3)

NAME
eoEDA - eoEDA: Estimation of Distribution Algorithm within EO

SYNOPSIS

#include <eoEDA.h>

Inherits eoUF< eoDistribution< EOT > &, void >.

Inherited by eoSimpleEDA< EOT >.

Detailed Description

  template<class EOT> class eoEDA< EOT >
eoEDA: Estimation of Distribution Algorithm within EO The abstract class for algorithms that evolve a probability distribution on the spaces of populations rather than a population

It IS NOT an eoAlgo, as it evolves a distribution, not a population

Definition at line 41 of file eoEDA.h.

Author

Generated automatically by Doxygen for EO from the source code.